BasicLogger (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.BasicLogger class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant
Class BasicLogger

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hyperic.tools.ant.BasicLogger

All Implemented Interfaces:
  java.util.EventListener, org.apache.tools.ant.BuildListener

    public class BasicLogger

extends org.apache.tools.ant.Task
implements org.apache.tools.ant.BuildListener

For stupid programs like CruiseControl that call ant directly and swallow all the output, this task allows the build itself to start listening for its own events.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`BasicLogger()`

Method Summary
`void` | `buildFinished(org.apache.tools.ant.BuildEvent be)`
`void` | `buildStarted(org.apache.tools.ant.BuildEvent be)`
`void` | `execute()`
`void` | `messageLogged(org.apache.tools.ant.BuildEvent be)`
`void` | `register(org.apache.tools.ant.Project p)`
`void` | `setFile(java.io.File outFile)`
`void` | `setLevel(java.lang.String levelName)`
`void` | `targetFinished(org.apache.tools.ant.BuildEvent be)`
`void` | `targetStarted(org.apache.tools.ant.BuildEvent be)`
`void` | `taskFinished(org.apache.tools.ant.BuildEvent be)`
`void` | `taskStarted(org.apache.tools.ant.BuildEvent be)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicLogger

    public BasicLogger()

Method Detail

### setFile

    public void setFile(java.io.File outFile)

### setLevel

    public void setLevel(java.lang.String levelName)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### register

    public void register(org.apache.tools.ant.Project p)
                  throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### buildFinished

    public void buildFinished(org.apache.tools.ant.BuildEvent be)

  Specified by:
    `buildFinished` in interface `org.apache.tools.ant.BuildListener`

### taskFinished

    public void taskFinished(org.apache.tools.ant.BuildEvent be)

  Specified by:
    `taskFinished` in interface `org.apache.tools.ant.BuildListener`

### targetFinished

    public void targetFinished(org.apache.tools.ant.BuildEvent be)

  Specified by:
    `targetFinished` in interface `org.apache.tools.ant.BuildListener`

### buildStarted

    public void buildStarted(org.apache.tools.ant.BuildEvent be)

  Specified by:
    `buildStarted` in interface `org.apache.tools.ant.BuildListener`

### taskStarted

    public void taskStarted(org.apache.tools.ant.BuildEvent be)

  Specified by:
    `taskStarted` in interface `org.apache.tools.ant.BuildListener`

### targetStarted

    public void targetStarted(org.apache.tools.ant.BuildEvent be)

  Specified by:
    `targetStarted` in interface `org.apache.tools.ant.BuildListener`

### messageLogged

    public void messageLogged(org.apache.tools.ant.BuildEvent be)

  Specified by:
    `messageLogged` in interface `org.apache.tools.ant.BuildListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.